# munta

Munta is your locally hosted one-stop-shop for all your audio and pictures conversion needs. It is a containerized web frontend for `ffmpeg`. It is aimed at supporting only libre codecs. Some handy filters (like vignette for pictures and echo for audio) are also available through the conversion process.

## Setup

1. Clone this repository:

```
git clone https://forge.slowte.ch/selfhosted/munta.git
```

2. Build the container using the provided `Dockerfile`:

```
cd munta
docker build -t munta .
```

3. Run the freshly built container:

```
docker run -p 8080:80 munta
```

4. Open your internet browser, go to `127.0.0.1:8080` and enjoy!

## Pipeline

[![status-badge](https://ci.slowte.ch/api/badges/10/status.svg)](https://ci.slowte.ch/repos/10)

A [Docker's buildx](https://docs.docker.com/reference/cli/docker/buildx/)-based building pipeline builds the `Dockerfile` from scratch.

## Licenses

_munta_ bundles the following programs:

- [_Pico CSS_ `v2.0.6`][picocss-release], a minimal CSS framework for semantic HTML. It is published under the MIT license, reproduced below.

>MIT License
>
>Copyright (c) 2019-2024 Pico
>
>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
>
>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
>
>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

[picocss-release]: https://github.com/picocss/pico